// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 报表展示组件（月用气量汇总表）
  Vue.component('manage-month-gas', (resolve) => {
    require(['./report/ManageMonthGas'], resolve)
  })
  // 报表展示组件（收费汇总报表）
  Vue.component('manage-bus-summary', (resolve) => {
    require(['./report/ManageBusSummary'], resolve)
  })
  // 报表展示组件（其他收费汇总）
  Vue.component('manage-other-charge', (resolve) => {
    require(['./report/ManageOtherCharge'], resolve)
  })
  // 报表展示组件（(机表)收费结账报表）
  Vue.component('jimanage-bus-summary', (resolve) => {
    require(['./report/JiManageBusSummary'], resolve)
  })
  // 报表展示组件（营业厅售气情况统计表） 经纬
  Vue.component('manage-hand-sell-money', (resolve) => {
    require(['./report/ManageHandSellMoney'], resolve)
  })
  // 报表展示组件（营业分析汇总报表）
  Vue.component('manage-sell-type', (resolve) => {
    require(['./report/ManageSellType'], resolve)
  })
  // 报表展示组件（日用气量汇总表）
  Vue.component('manage-day-gas', (resolve) => {
    require(['./report/ManageDayGas'], resolve)
  })
  // 营业分析汇总报表
  Vue.component('manage-sell-type', (resolve) => { require(['./ManageSellType'], resolve) })
  //   // 报表展示组件（营业厅售气情况统计表） 经纬
  Vue.component('manage-hand-sell-money', (resolve) => { require(['./ManageHandSellMoney'], resolve) })
  //  // 报表展示组件（收费汇总报表）蓬安
  Vue.component('manage-bus-summary-peng', (resolve) => { require(['./ManageBusSummaryPeng'], resolve) })
}
